%----------------------------
% Proprit de MatlabPourTous
% MPT_GENCOULEUR est un exemple d'une interface graphique qui permet de gnrer alatoirement des couleurs
% Compatible : MATLAB2013b
%----------------------------

function mpt_gencouleur

% Cration de l'objet Figure
%----------------------------
fig = figure('units', 'pixels', ...
    'position', [520 380 300 250], ...
    'name', 'Gnrateur de couleur alatoire');
 
% Cration du bouton "Gnrer une couleur"
%----------------------------
uicontrol('style', 'pushbutton', ...
    'units', 'pixels', ...
    'position',[75 15 150 20], ...
    'String', 'Gnrer une couleur', ...
    'callback', @mpt_genC);
 
% Cration de l'objet Axes qui permettra d'afficher la couleur
%----------------------------
axes('units', 'pixels', ...
    'position', [25 70 250 150], ...
    'tag','axes1');
 
% Stockage des identifiants utiles dans la structure "handles"
%----------------------------
handles = guihandles(fig);
guidata(fig,handles)

% Fonction associe au Callback de l'objet Pushbutton
% obj : identifiant de l'objet Pushbutton
% event : vnement lis  l'objet Pushbutton
%----------------------------
function mpt_genC(obj,event)

% Rcupration des identifiants utiles
fig = get(obj,'parent');
handles = guidata(fig);
 
% Modification de la couleur de l'objet Axes
set(handles.axes1, 'color', rand(1,3));
